//
//  OnlyForPremierView.swift
//
//
//  Created by Victor on 19/06/2024.
//

import SwiftUI

struct OnlyForPremierView: View {
    
    var body: some View {
        VStack(spacing: 8) {
            VStack(alignment: .leading, spacing: 8) {
                SQText("Réservé aux abonnés Premier", size: 18, font: .bold)
                SQText("Seuls les abonnés Premier peuvent profiter de cette fonctionnalité.")
            }
            SQButton( "Découvrir l’abonnement Premier", color: Color.sqOrange(50), textColor: .white) {
                
            }
        }
        .frame(maxWidth: .infinity)
    }
}

#Preview {
    OnlyForPremierView()
}
